
QGIS Application - Bug report #12832

2.8.2 Hard Crash - OS X.10.3 

2015-05-27 06:55 AM - Mars Sjoden

Status: Closed

Priority: High

Assignee:

Category:

Affected QGIS version:2.8.2 Regression?: No

Operating System: OsX Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 20927

Description

Recently installed Williams latest QGIS build along with his latest frameworks.

Running a Mac 10.10.3

QGIS 2.8.2 hard crashes quite often and randomly whenever creating or editing a feature.

Sometimes a drop down sheet will very briefly appear with " Indexing data... " just before the crash, although often QGIS simply flashes

out of existence.

Trying to work out the specific conditions.

Mars

History

#1 - 2015-05-29 07:12 AM - Mars Sjoden

After a few more hours using QGIS it appears that once I save my QGIS project the crashing ensues.

Been working for a couple hours digitizing polygon boundaries over an OpenLayers Google and Bing sat imagery and no crashing as long as I do not save

the project.qgs.

As soon as I save to a project.qgs, at some point poof bye bye QGIS and work.

#2 - 2015-05-29 07:15 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Operating System set to OsX

- Crashes QGIS or corrupts data changed from No to Yes

Did it happened in previous qgis releases?

#3 - 2015-05-29 07:18 AM - Mars Sjoden

Not this particular bug that I know of.
#4 - 2015-05-29 07:35 AM - Giovanni Manghi

Mars Sjoden wrote:

Not this particular bug that I know of.

please try also disabling/removing all 4rd party plugins, a few ones are known to cause problems. The easiest way is to backup/delete .qgis2 and restart

qgis. Thanks.

#5 - 2015-05-29 08:04 AM - Mars Sjoden

I forgot to note that I am only running the Vanilla System from Williams packages.

The first time around I deleted QGIS 2.8.2 and reinstalled.

Have not updated plugins also as per Williams warning.

I can do another fresh install, but I am currently digitizing, (fingers crossed, not saving project)

#6 - 2015-05-31 12:16 PM - Mars Sjoden

I have tried using QGIS 2.8.2 for the past 7 days or more.  I have tried not saving the project file or loading a qgs project file and while this does seem to

stabilize the app for a longer time, eventially QGIS simple hard crashes.

Is there a way to find or use a stable version of QGIS for OS X?  I would like to use QGIS but continuous random crashes are very discouraging for getting

work done.

Thank you.

Mars

#7 - 2015-05-31 12:27 PM - Giovanni Manghi

Is there a way to find or use a stable version of QGIS for OS X?  I would like to use QGIS but continuous random crashes are very discouraging for

getting work done.

have you tested deleting .qgis2?

#8 - 2015-05-31 02:55 PM - Mars Sjoden

Yes, I have deleted  the hidden .qgis2 directory a couple times.

I am using Larry Shaffer's Latest Nightly Build (Dakota Cartography) for the last hour+ and seems to be working fine so far (fingers crossed)

#9 - 2015-06-14 12:12 AM - Giovanni Manghi

- Resolution set to not reproducable
- Status changed from Feedback to Closed

I am using Larry Shaffer's Latest Nightly Build (Dakota Cartography) for the last hour+ and seems to be working fine so far (fingers crossed)

I assume that with master is ok. Please reopen if necessary.
